Skip to content

Initiate an object workflow task action on a specific object record. On SUCCESS, the specified object workflow task action is initiated on the object record.

POST/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/{task_action}
NameDescription
Content-Typeapplication/json or application/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{task_id}The task id field value.
{task_action}The name of the task action retrieved from Retrieve Workflow Task Actions.

Required parameters depend on the action being initiated. Controls marked as required in the Retrieve Workflow Task Action Details request must be provided. If a control (such as verdict) defines a set of required fields, those must also be provided.

For example, the following request parameters may apply to the complete action:

NameDescription
verdictThe verdict name returned in Retrieve Workflow Task Action Details.
reasonThe reason name returned in Retrieve Workflow Task Action Details.

The cancel action doesn't require any parameters.

curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -H "Accept: application/xml" \ -d "verdict__v=reject__c" \ -d "reason__v=reg_affairs__c" \ https://myvault.veevavault.com/api/v19.3/objects/objectworkflows/tasks/7201/actions/complete
{ "responseStatus": "SUCCESS" }